<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('contact_phone_nums', function (Blueprint $table) {
            $table->unsignedBigInteger('lead_id')->nullable()->change();
            $table->unsignedBigInteger('deal_id')->nullable()->change();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('contact_phone_nums', function (Blueprint $table) {
            $table->unsignedBigInteger('lead_id')->nullable(false)->change();
            $table->unsignedBigInteger('deal_id')->nullable(false)->change();
        });
    }
};
